%define	name	x86info
%define	version	1.30
%define realver	%{version}
#define cvsdate	20050420

Summary:	Show x86 CPU information
Name:		%{name}
Version:	%{version}
Release:	%mkrel 3
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://www.codemonkey.org.uk/projects/x86info/
Source0:	%{name}-%{realver}%{?cvsdate:-%{cvsdate}}.tgz
Patch0:		x86info-1.17-intel-flags.patch
Patch1:		x86info-1.17-intel-caches.patch
Patch2:		x86info-1.17-cpuid-with-ecx-input.patch
Patch3:		x86info-1.17-intel-multicore-htt.patch
Patch4:		x86info-1.17-intel-caches-cpuid4.patch
Patch5:		x86info-1.17-amd-multicore.patch
BuildRequires:	pciutils-devel

# Will never work on sparc, neither on ppc/alpha...
ExclusiveArch:	%{ix86} x86_64 amd64

%description
Unlike other 'cpuinfo' tools which just parse /proc/cpuinfo, x86info probes
the CPU registers to find out a lot more information. It can discover the
contents of model-specific registers, discover CPU silicon revisions, and
lots more.

%prep
%setup -q -n %{name}-%{realver}

%build
%make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m755 %{name} %{buildroot}%{_bindir}/
install -m755 %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%defattr(-,root,root)
%doc README TODO COPYING
%{_bindir}/*
%{_mandir}/man1/*






%changelog

* Thu Jan 05 2012 matteo <matteo> 1.30-3.mga2
+ Revision: 191932
- license file added as doc; spec file reviewed

* Tue Jan 03 2012 matteo <matteo> 1.30-2.mga2
+ Revision: 189980
- fixed license
- fixed missing make cflags
- bumped release

* Tue Jan 03 2012 matteo <matteo> 1.30-1.mga2
+ Revision: 189967
- version upgrade
- used macros instead of command names

* Wed Apr 13 2011 tv <tv> 1.29-1.mga1
+ Revision: 84175
- pciutils-devel
- BuildRequires: pci-devel
- new release

* Fri Mar 04 2011 ennael <ennael> 1.23-2.mga1
+ Revision: 64313
- imported package x86info

